API SpecificationNotes
Create Note
Creates a new note in the specified bucket, optionally under a parent folder.
AuthorizationBearer <token>
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketId?string
Length
1 <= lengthparentId?string|null
name?string
Length
1 <= length[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NotesService/CreateNote" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"note": {
"id": "string",
"slug": "string",
"name": "string",
"type": "NOTE_ITEM_TYPE_UNSPECIFIED",
"color": "string",
"icon": "string",
"children": [
{
"id": "string",
"slug": "string",
"name": "string",
"type": "NOTE_ITEM_TYPE_UNSPECIFIED",
"color": "string",
"icon": "string",
"children": [],
"commentsId": "string"
}
],
"commentsId": "string"
},
"url": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}